//-----------------------------config

//améliore l'html de solr en rangeant les facettes dans des divs avec un id
// ! important pour le rangement de date
var ameliorerAffichageSolr = true;

//les tris des facettes sont pensés indépendamment pour que les deux soient utilisables à la fois si les métadonnées le nécessitent 

//trie les facettes "chronologie" par ordre croissant (chiffres romains)
var trierChiffresRomains = true;  
//selecteur du tri des chiffres romains 
var selListeTriChiffresRomains = '.Chronologie';
//trie les facettes "chrononologie" par ordre croissant (chiffres arabes)
var trierChiffresArabes = false;  
//selecteur du tri des chiffres arabes (div dans laquelle se trouve la balise ul contenant les facettes li)
var selListeTriChiffresArabes = '.Chronologie';


/*dans stage 2018 dans type de contenu les champs STARTING PERIOD ; Debut Period Start ; Debut Period End ; ENDING PERIOD ; Fin Period Start ; Fin Period End ont ete ajoutes*/
/*
//trie les facettes "chronologie" par ordre croissant (chiffres romains)
var trierChiffresRomains = true;  
//selecteur du tri des chiffres romains 
var selListeTriChiffresRomains = ['.FinPeriodStart','Chronologie','.FinPeriodEnd','.DebutPeriodStart','.DebutPeriodEnd'];
//trie les facettes "chronologie" par ordre croissant (chiffres arabes)
var trierChiffresArabes = false;  
//selecteur du tri des chiffres arabes (div dans laquelle se trouve la balise ul contenant les facettes li)
var selListeTriChiffresArabes = ['.Chronologie'];
*/

//ameliore les facettes de solrSearch avec un "afficher plus"
var menuDeroulantSolr = true;
//nombre de lignes avant le "afficher plus", sachant qu'il y en aura 10 maximum avant d'avoir une scrollbar;
var nombreFacettesDefault = 3;


//déplace la geolocalisation plus haut sur la page d'un item et la place sur la droite.
var remonterGeoloc = true;

//crée un carousel quand il y a deux images ou plus sur la page d'un item (prend l'image à sa définition originale contrairement au comportement par défaut d'omeka)
var afficherCarousel = true;

//enleve la date dans le champs citation d'un item
var enleverDateCitationItem = true;

//ajoute le titre en dessous d'un fichier ajouté sur la page d'un item 
var titreFichierItem = true;

//place les liens en "target=_blank" (ouvre un nouvel onglet) sur les liens des fichiers sur la page item
var lienNouvelOngletFichierItem = true;

//place des icones réseaux sociaux dans le header
var reseauxSociaux = true;


//insérer 3D sketchfab dans la page item
var sketchfab = true;
//correspond au selecteur css dans lequel sera le sketchfab (div dans laquelle il y a un h3 et le element-text)
var selecteurMetadonneSketchfab = "#sites-mdivaux-item-type-metadata-url-fichier";

//pour youtube, placer juste l'identifiant de la vidéo, placé après de ?v= dans l'url dans un champs dont le selecteur doit etre écrit ci dessous
/*var selecteurYoutube = "#dublin-core-creator";*/
/*modification VBD 14 juin 2018 on prend is refrenced by car on utilise dublin core creator dans image*/
var selecteurYoutube = "#dublin-core-is-refrenced-by";
/*fin modification VBD 14 juin 2018*/

/*dans stage 2018 des elements sketchfab et youtube ont etet ajoutes au type de contenu AgeFerProvence*/
/*//insérer 3D sketchfab dans la page item
var sketchfab = true;
//correspond au selecteur css dans lequel sera le sketchfab (div dans laquelle il y a un h3 et le element-text)
//var selecteurMetadonneSketchfab = "#sites-mdivaux-item-type-metadata-url-fichier";
var selecteurMetadonneSketchfab = "#ageferprovence-item-type-metadata-sketchfab";

//pour youtube, placer juste l'identifiant de la vidéo, placé après de ?v= dans l'url dans un champs dont le selecteur doit etre écrit ci dessous
var selecteurYoutube = "#ageferprovence-item-type-metadata-youtube";*/



//insere une icone maison dans la navbar
var iconeMaison = true;

/*dans stage 2018 pour avoir un lien actif vers les PACTOLS avec le terme et l'ark sur une meme ligne, attention si désactivé le bloc recherche avancée reste déplié sur les pages*/
/*
var Remplacerthesaurus = true;
var selecteurThesaurus = "#ageferprovence-item-type-metadata-pactols-sujets";
*/


// ----------------------------fin config
//-------------------------------------------------------------------------------------------------------------------
//debut du js
jQuery(document).ready(function () {


	//icones reseaux Sociaux + fluxRSS 

	if (reseauxSociaux) {
		var barreIcones = jQuery('<div class="header-icons"</div>');
		barreIcones.ajouterIcone = function (lien, urlImage) {
			this.append('<a href="' + lien + '" target="_blank"><img src="' + urlImage + '"></a>');
		}
		//appeler la meme fonction barreIcones.ajouterIcone(lien,urlImage)
		//se placent dans l'ordre, de gauche à droite
		//pour les urls, depuis le HTML ou le javascript, les chemins relatifs sont par rapport au "basepath" du serveur (ici le repertoire www par default)
		//il est donc important de prêter attention au nom des dossiers du thème si le nom est changé
		//(contrairement au css qui construit l'url avec une url relative par rapport à l'emplacement de cette feuille CSS)
		/*prendre exemple  sur la ligne ci dessous si un labo veut un lien vers autre chose que facebook*/
		//pour le rss deux possibilités de lien : "/items/browse?output=rss2" ou "/items/browse?output=atom"
		/*ci dessous si un labo veut une autre icone wikipedia par exemple on met d abord le lien https://wikipedia... et ensuite le lien vers l image*/
		barreIcones.ajouterIcone("/items/browse?output=rss2", "/custom/themes/default/logos_img/icones/RSS.png");
		/*ligne suivante si on veut afficher arula dans les resaux sociaux*/
		/*barreIcones.ajouterIcone("https://arula.hypotheses.org/","/custom/themes/default/logos_img/icones/hypotheses.png");*/

		barreIcones.ajouterIcone("https://www.facebook.com/Itin%C3%A9raire-M%C3%A9di%C3%A9val-des-sites-Arch%C3%A9ologiques-du-Grand-Est-174694072548853/", "/custom/themes/default/logos_img/icones/facebookIcon.png");


/*dans stage 2018*/
/*
//icones reseaux Sociaux + fluxRSS 

	if (reseauxSociaux) {
		var barreIcones = jQuery('<div class="header-icons"</div>');
		barreIcones.ajouterIcone = function (lien, urlImage) {
			this.append('<a href="' + lien + '" target="_blank"><img src="' + urlImage + '"></a>');
		}
		//appeler la meme fonction barreIcones.ajouterIcone(lien,urlImage)
		//se placent dans l'ordre, de gauche Ã  droite
		//pour les urls, depuis le HTML ou le javascript, les chemins relatifs sont par rapport au "basepath" du serveur (ici le repertoire www par default)
		//il est donc important de prêter attention au nom des dossiers du thème si le nom est changé
		//(contrairement au css qui construit l'url avec une url relative par rapport Ã  l'emplacement de cette feuille CSS)
		barreIcones.ajouterIcone("https://www.facebook.com/Itin%C3%A9raire-M%C3%A9di%C3%A9val-des-sites-Arch%C3%A9ologiques-du-Grand-Est-174694072548853/", "/custom/themes/default/logos_img/icones/facebookIcon.png");
		barreIcones.ajouterIcone("https://www.academia.edu/", "/custom/themes/default/logos_img/icones/academiaIcon.png");
		barreIcones.ajouterIcone("https://www.researchgate.net/", "/custom/themes/default/logos_img/icones/researchgateIcon.png");
		barreIcones.ajouterIcone("https://arula.hypotheses.org/", "/custom/themes/default/logos_img/icones/hypotheses.png");
		//pour le rss deux possibilités de lien : "/items/browse?output=rss2" ou "/items/browse?output=atom"
		barreIcones.ajouterIcone("/items/browse?output=rss2", "/custom/themes/default/logos_img/icones/RSS.png");
*/


//popup partage
		/*modification du chemin du theme custom*/
		/*custom/themes/NOM DU THEME/logos_img/icones/partage.png*/
		var partage = jQuery('<img src="/custom/themes/default/logos_img/icones/partage.png">');
		barreIcones.prepend(partage);
		shareMenu = jQuery('<span class="shareMenu"></div>');
		// barreIcones.append(jQuery('<span class="shareMenuFleche"></span>'));
		barreIcones.append(shareMenu);
		partage.css("cursor", "pointer");
		shareMenu.append('<h4>Partager sur : </h4>');
		shareMenu.append(jQuery('<a href="https://twitter.com/share?ref_src=twsrc%5Etfw" target="_blank"><div><img src="/custom/themes/default/logos_img/icones/Twitter.png"><h6>Twitter</h6></div></a>'));
		// shareMenu.append(jQuery('<a href="https://twitter.com/share?ref_src=twsrc%5Etfw" class="twitter-share-button" data-dnt="true" data-show-count="false" data-size="large">Tweet</a>'))
		shareMenu.append(jQuery('<a href="https://www.facebook.com/sharer/sharer.php?u=' + encodeURI(window.location.href) + '" target="_blank"><div><img src="/custom/themes/default/logos_img/icones/facebookIcon.png"><h6>Facebook</h6></div></a>'));
		let copyButton = jQuery('<div><img src="/custom/themes/default/logos_img/icones/pressePapier.png"><h6>Copier l\'URL dans le presse-papier</h6></div>')
		copyButton.on('click',function(){
			
			let fant = document.createElement("textarea");
			shareMenu.append(fant);
			fant.value=window.location.href;
			fant.select();
			document.execCommand("copy");
			fant.remove();
			
		});
		shareMenu.append(copyButton);

		jQuery(document).on('click', function (e) {
			if (shareMenu.css('display') === 'block' && !jQuery(e.target).is(partage)) {
				shareMenu.toggle();
			}
		});
		partage.on("click", function () {
			if (navigator.share === undefined) {
				shareMenu.toggle();
			}
			else {
				navigator.share({ title: 'share', url: window.location.href });
			}

		});


		// setTimeout(function(){shareMenu.toggle();},300);
		jQuery('header').append(barreIcones);
	}


	 //remplacer texte, donner le selecteur précis dans lequel il n'y a que le texte a remplacer, pas la boite parent

	function remplacerTexte(selecteur,texte){
		jQuery(selecteur).text(texte);
	}
	//copier cette ligne , remplacerTexte(selecteur, texte) les paramètre entre quote 
	remplacerTexte("#home #featured-item h2","Site de la semaine");
	/*modification VBD 14 juin 2018 */
	remplacerTexte(".element-set #dublin-core-creator h3","Auteur");
	/*fin de modification VBD 14 juin 2018*/
	
	/*modification VBD 14 juin 2018 sans effet car géré directement par le plugin donc non modifiable via javascript*/
	remplacerTexte("#wrap #content #solr-facets .Creator","Auteur");
	/*fin de modification VBD 14 juin 2018*/
	/*par javascript on ne peut pas modifier le texte dans l'onglet parcourir par mot-clé quand il y a des tags car c'est géré directement par omeka si modification on perd le lien vers le chemin de l'onglet*/
	





	//ajoute la balise meta qui permet le responsive
	jQuery("head").append(jQuery('<meta name="viewport" content="width=device-width, user-scalable=yes">'));

	

	// ameliore la mise en page de la geolocalisation sur la page item
	//vérifie qu'il y a les champs du dublin core affichés dans une div element set avant de mettre la carte à coté pour éviter qu'elle ne se mette n'importe où
	if (remonterGeoloc && jQuery("#geolocation").length && jQuery('.item.show').length) {
		let blocApres = jQuery('.item.show #content .element').first();
		// console.log(blocApres.text());
		let geoloc = jQuery("#geolocation");
		blocApres.before(geoloc); 
	}

	//caroussel
	if (afficherCarousel && jQuery('.item-file[class*="image"] .full').length > 1) {
		carousel();
	}

	// enelève le champ "consulté le" dans la citation
	if (enleverDateCitationItem && jQuery('#item-citation').length) {
		let contents = jQuery("#item-citation .element-text").contents();
		contents[2].data = ", ";
		contents[4].remove();
	}


	// Sur la page d'un item, 
	// ajoute le target _blank (lien sur un nouvel onglet) pour les liens des fichiers ajoutés
	// et ajoute le titre du fichier
	if (jQuery('.item.show .item-file').length) {
		if (titreFichierItem) {
			jQuery('.item.show .item-file').each(function (n, elem) {
				let title = elem.firstChild.firstChild.title;
				let reg=/\.\w+/;
				if (!title.match(reg)) {
					let titre = jQuery("<div class='titre'><h4>" + title + "</h4></div>");
					jQuery(elem).append(titre);
				}
			});
		}
		if (lienNouvelOngletFichierItem) {
			jQuery('.item-file .download-file').attr("target", "_blank");
		}


		//met le nom de l'item en page title (affiché sur l'onglet)
		
	}

	if (jQuery('.item.show').length) {
		var pageTitle = jQuery('#content > h1').first().text();
		jQuery('head').append(jQuery('<title>' + pageTitle + '</title>'));
	}


	//cache les boites "vides" de la page d'accueil
	//quand on ne met pas les contenus en avant ou que l'on active pas l'affichage des dernier contenus,
	//les boites sont encore présentes même si vides (si elles ont une couleur de background on voir une boite vide car elle sont remplies d'espaces en réalité)
	if (jQuery('#primary').children().length == 0)
		jQuery('#primary').css('display', "none");
	if (jQuery('#secondary').children().length == 0)
		jQuery('#secondary').css('display', "none");


	if (sketchfab && jQuery(selecteurMetadonneSketchfab)) {
		integrerSketchfab();
	}

	if(jQuery(selecteurYoutube).length){
		integrerYoutube();
	}
	

	if (iconeMaison) {
		jQuery('#primary-nav > ul.navigation').prepend(jQuery('<a href="/"><img src="/custom/themes/default/logos_img/icones/maison_icone.png" id="nav-homeButton" style="height: 2em; width: 2em"> </a>'));
	}

	if (ameliorerAffichageSolr && jQuery('.solr').length) {
		solrWrapFacettes();
	}

	//améliore les facettes solr search
	if (menuDeroulantSolr && jQuery("#solr-facets ul").length) {
		solrPlus();
	}

	/* if(jQuery("#solr-results").length){
		let triresults = jQuery("#solr-results .result").sort(function(a,b){
			let triA = jQuery(a).find(".result-title").text();
			let triB = jQuery(b).find(".result-title").text();
			if(triA === triB) return 0;
			else if(triA > triB) return 1;
			else return -1;
		});
		jQuery('#solr-results').append(triresults);
	} */
	if(jQuery('#archologie-mdivale-item-type-metadata-mot-cl').length){
		let reg = new RegExp(/https?:\/\//g);
		jQuery('#archologie-mdivale-item-type-metadata-mot-cl .element-text a').each(function(i,elem){
			let element = jQuery(elem);
			let text = element.text();
			// console.log(elem,text.match(reg));
			if(text.match(reg)){
				let lien = element.text();
				element.text('Voir dans le thésaurus PACTOLS');
				element.attr('target',"_blank");
				element.attr("href",lien);
				element.css('margin-left',"2em");
			}
		});
	}
});

/*dans stage 2018 pour activer le lien vers les PACTOLS*/
/*
if(Remplacerthesaurus && jQuery(selecteurThesaurus).length){
		let reg = new RegExp(/https?:\/\//g);
		jQuery(selecteurThesaurus+' .element-text a').each(function(i,elem){
			let element = jQuery(elem);
			let text = element.text();
			// console.log(elem,text.match(reg));
			if(text.match(reg)){
				let lien = element.text();
				element.text('Voir dans le thésaurus PACTOLS');
				element.attr('target',"_blank");
				element.attr("href",lien);
				element.css('margin-left',"2em");
			}
		});
	}
});
*/

// init: function(){
// var allStrongs = jQuery("#solr-facets strong");
// allStrongs.append('  <span> ▼</span>');
// allStrongs.css("cursor","pointer");
// jQuery("#solr-facets ul").hide();

// jQuery("#solr-facets strong").on("click", function(){
// let strong = jQuery(this); // le type de facette (en gras)
// let ul = jQuery(this.nextElementSibling); //la liste de facettes 
// ul.slideToggle(); 

// strong.children().toggleClass("rotate");				
// });
// }






function roman_to_Int(num) {
	let roman = ['I', 'IV', 'V', 'IX', 'X', 'XL', 'L', 'XC', 'C', 'CD', 'D', 'CM', 'M'];
	let value = [1, 4, 5, 9, 10, 40, 50, 90, 100, 400, 500, 900, 1000];
	let str = 0;
	for (let i = 12; i >= 0; i--) {
		while (num.indexOf(roman[i]) === 0) {
			let reg = new RegExp(roman[i])
			num = num.replace(reg, '');
			str += value[i];
		}
	}
	return str;
}

var solrWrapFacettes = function () {
	jQuery("#solr-facets strong").each(function () {
		let nomFacette = jQuery(this);
		let classFacette = nomFacette.text().replace(/\s/g, '');
		let listeFacettes = nomFacette.next();
		let affPlus = listeFacettes.next();

		nomFacette.wrap('<div class="' + classFacette + '"></div>');
		jQuery('.' + classFacette + '').append(listeFacettes);
		if (affPlus.hasClass('more')) {
			jQuery('.' + classFacette + '').append(affPlus);
		}

	});

	if(trierChiffresRomains){
		// console.log("test")
		var triRomains = jQuery('#solr-facets '+selListeTriChiffresRomains+" li").sort(function (a, b) {
			let texta = jQuery(a).text().replace(/\s/g, '');
			let textb = jQuery(b).text().replace(/\s/g, '');
			let reg = new RegExp(/[IVXLCDM]+/);
			let negReg = new RegExp(/(\-)[IVXLCDM]+/);
			let aNeg = negReg.exec(texta);
			let bNeg = negReg.exec(textb);
			
			texta = reg.exec(texta)[0];
			textb = reg.exec(textb)[0];
			
			let inta = roman_to_Int(texta);
			let intb = roman_to_Int(textb);
			if(aNeg) inta = -inta;
			if(bNeg) intb = -intb;
			// console.log(texta,aNeg,bNeg,textb,inta,intb);
			if(inta>intb) return 1;
			else if (inta===intb) return 0;
			else return -1;	
		});
		jQuery('#solr-facets '+selListeTriChiffresRomains+" ul").append(triRomains);
	}

/*dans stage 2018 tri chiffres romains négatifs avant JC*/
/*
if(trierChiffresRomains){
		for(var iterateur=0;iterateur<selListeTriChiffresRomains.length;iterateur++){
			var triRomains = jQuery('#solr-facets '+selListeTriChiffresRomains[iterateur]+" li").sort(function (a, b) {
				let texta = jQuery(a).text().replace(/\s/g, '');
				let textb = jQuery(b).text().replace(/\s/g, '');
				// console.log(texta,textb);
				
				let bNeg = new RegExp(/av\.J\.-C\./g).exec(textb);
				let aNeg = new RegExp(/av\.J\.-C\./g).exec(texta);
				// console.log(aNeg,bNeg) 
				texta = new RegExp(/[IVXLCDM]+/).exec(texta)[0];
				textb = new RegExp(/[IVXLCDM]+/).exec(textb)[0];
				
				let inta = roman_to_Int(texta);
				let intb = roman_to_Int(textb);
				if(aNeg) inta = -inta;
				if(bNeg) intb = -intb;
				
				if(inta>intb) return 1;
				else if (inta===intb) return 0;
				else return -1;	
			});
			jQuery('#solr-facets '+selListeTriChiffresRomains[iterateur]+" ul").append(triRomains);
		}
	}

*/
	if(trierChiffresArabes){
		
		var triArabes = jQuery('#solr-facets '+selListeTriChiffresArabes+" li").sort(function (a, b) {
			let texta = jQuery(a).text().replace(/\s/g, '');
			let textb = jQuery(b).text().replace(/\s/g, '');
			texta=texta.replace(/\([0-9]+\)/g,'');
			textb=textb.replace(/\([0-9]+\)/g,'');
			let reg = new RegExp(/(\-)?[0-9]+/g);
			// console.log(texta,textb);
			texta = reg.exec(texta);
			textb = reg.exec(textb);
			// console.log(texta,textb);
			let inta = parseInt(texta);
			let intb = parseInt(textb);
			if(isNaN(inta)) inta = 999999999;
			if(isNaN(intb)) intb = 999999999;
			// console.log(inta,intb);
			
			if(inta>intb) return 1;
			else if (inta===intb) return 0;
			else return -1;
		});
		jQuery('#solr-facets '+selListeTriChiffresArabes+" ul").append(triArabes);
	}
}


var solrPlus = function () {
	var param = nombreFacettesDefault;
	var allUl = jQuery("#solr-facets ul");
	allUl.each(function () {
		var ul = jQuery(this);
		var allLi = ul.children();
		var longueur = allLi.length;
		if (longueur > param) {
			var cache = allLi.slice(param, longueur);
			cache.hide();
			let diff = longueur - param;
			let afficherPlus = jQuery('<div class="more">Afficher plus (' + diff + ')</div>');
			ul.after(afficherPlus);
			afficherPlus.on("click", function () {
				cache.toggle();
				let texte = afficherPlus.html();
				if (texte.includes("plus"))
					afficherPlus.html(texte.replace("plus", "moins"));
				else
					afficherPlus.html(texte.replace("moins", "plus"));
			});


		}

	});

}




function carousel() {
	var ul = jQuery("<ul></ul>");
	jQuery('.item-file[class*="image"]').wrap("<li class='carousel-item'></li>");
	jQuery(".carousel-item").wrapAll("<div class='jcarousel'><ul></ul></div>");

	jQuery('.jcarousel').wrap('<div class="jcarousel-wrapper"></div>');
	jQuery('.jcarousel-wrapper').append('<a class="jcarousel-control-prev"> < </a>');
	jQuery('.jcarousel-wrapper').append('<a class="jcarousel-control-next"> > </a>');
	jQuery('.jcarousel-wrapper').append('<div class="jcarousel-pagination"></div>');
	jQuery(".jcarousel").jcarousel({
		wrap: "both"
	});
	// .jcarouselAutoscroll({
	// interval: 3000,
	// target: '+=1',
	// autostart: true
	// });




	jQuery('.jcarousel-pagination')
		.on('jcarouselpagination:active', 'a', function () {
			jQuery(this).addClass('active');
		})
		.on('jcarouselpagination:inactive', 'a', function () {
			jQuery(this).removeClass('active');
		})

		.jcarouselPagination({
			'perPage': 1,
			item: function (page) {
				return '<a href="#' + page + '">' + page + '</a>';
			}
		});


	jQuery('.jcarousel-control-prev')
		.on('jcarouselcontrol:active', function () {
			jQuery(this).removeClass('inactive');
		})
		.on('jcarouselcontrol:inactive', function () {
			jQuery(this).addClass('inactive');
		})
		.jcarouselControl({
			target: '-=1'
		});
	jQuery('.jcarousel-control-next')
		.on('jcarouselcontrol:active', function () {
			jQuery(this).removeClass('inactive');
		})
		.on('jcarouselcontrol:inactive', function () {
			jQuery(this).addClass('inactive');
		})
		.jcarouselControl({
			target: '+=1'
		});

	//permet de faire une taille en % en fonction du nombre d'items, sinon l'image se centre mal
	var nombre = jQuery('.carousel-item').length;
	jQuery('.jcarousel ul').css('width', nombre * 100 + "%");
	jQuery('.jcarousel li').css('width', 100 / nombre + "%");


	// permet de mettre l'image originale dans le carousel et non l'image plus petite générée par omeka 
	//(elle est quand même rétrécie dans le css si elle est trop grande mais cela permet de l'avoir en 
	// plus haute résolution)

	jQuery('.jcarousel img').attr('src', function (index, attr) {
		return (jQuery(this).parent().attr('href'));

	});
	setTimeout(function () {
		jQuery('.jcarousel h4').first().animate({ opacity: 1 }, { duration: "slow" });
	}, 750);

	jQuery('.jcarousel').on('jcarousel:animateend', function (event, carousel) {
		// "this" est l'element jquery .jcarousel
		// "carousel" est une instance jcarousel
		let titre = jQuery(carousel._fullyvisible[0]).find('h4');
		jQuery('.jcarousel h4').css("opacity", "0");
		titre.animate(
			{
				opacity: 1

			}
			, { duration: "slow" })
	});

}


function integrerSketchfab() {
	let lien = jQuery(selecteurMetadonneSketchfab + ' .element-text');
	// console.log(lien);
	let visionneuse = jQuery('<div class="sketchfab-embed-wrapper"><iframe width="100%" height="500px" src="' + lien.text() + '/embed?autospin=0.2&amp;" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>  </div>');

	jQuery(selecteurMetadonneSketchfab).after(visionneuse);
	jQuery(selecteurMetadonneSketchfab).css('display', 'none');
}

/*dans stage 2018 pour Sketchfab 3D*/
/*
function integrerSketchfab() {
	let lien = jQuery(selecteurMetadonneSketchfab + ' .element-text');
	console.log(lien);
	let visionneuse = jQuery('<div class="sketchfab-embed-wrapper"><iframe width="100%" height="500px" src="' + lien.text() + '/embed?autospin=0.2&amp;" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>  </div>');

	jQuery(selecteurMetadonneSketchfab).after(visionneuse);
	jQuery(selecteurMetadonneSketchfab).css('display', 'none');
}
*/

function integrerYoutube() {
	let lien = jQuery(selecteurYoutube + ' .element-text');
	// console.log(lien);
	let visionneuse = jQuery( '<iframe width="560" height="315" src="https://www.youtube.com/embed/' + lien.text() + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>');

	jQuery(selecteurYoutube).after(visionneuse);
	jQuery(selecteurYoutube).css('display', 'none');
}

/*dans stage 2018 pour Youtube*/
/*
function integrerYoutube() {
	let lien = jQuery(selecteurYoutube + ' .element-text').text().replace('/watch?v=',"/embed/");
	console.log(lien);
	// console.log(lien);
	
	let visionneuse = jQuery('<div class="youtube-embed"><iframe width="100%" height="100%" src="'+lien+ '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe></div>');

	jQuery(selecteurYoutube).after(visionneuse);
	jQuery(selecteurYoutube).css('display', 'none');
}
*/



